Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0011514
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminoralways2009-11-26 12:412017-04-10 14:35
Reporterfranck_routierView Statuspublic 
Assigned Toplatform 
PrioritynormalResolutionopenFixed in Version
StatusacknowledgedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_16
OS VersionProfessional ApplianceDatabase version8.3.8Ant version1.7.1
Product Version2.50MP8SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0011514: Unable to generate pdf report unsing Identity-H encoding

DescriptionWhen generating pdf reports with encodings other than werstern (cp1252), eg cp1251 for cyrillic, reports in OB fail, as then use a default font that does not contain cyrillic characters, and use a default encoding not suited for those characters.

Issue https://issues.openbravo.com/view.php?id=4139 [^] gives a workaround, than implies modifying the jrxml to set a report-wide font and encoding.

This works as far a you use CP1251, but then you cannot diplay western european texts...

My need is to have invoices that are labelled in both bulgarian (cyrillic) and english (western).

In jasper, this is supposed to be done using the 'Identity-H' (~UTF-8) pdf encoding. But setting a report-wide font with Identity-H encoding results in a blank pdf being generated...
Steps To Reproduce1) In 'Text Interfaces', add a translation for a string in RptC_Invoice.jrxml than contains cyrillic characters.
Print an invoice : the translated sentence is blank.

2) use workaround as in issue 4139, ie add
<reportFont name="Helvetica" isDefault="true" pdfEncoding="CP1251" pdfFontName="/usr/share/fonts/truetype/ttf-liberation/LiberationSans-Regular.ttf"/> in the jrxml

Print an invoice : translated sentence appears

3) Modifiy the translation to include both cyrillic and western characters
Print an invoice : western characters are not shown...

4) Try to replace CP1251 with Identity-H in the reportFont tag.
Print an invoice : report in blank...
Proposed SolutionDon't know :-) Maybe related to JasperReports/Itext version ??
TagsOB3-Reviewed
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0019325 acknowledgedplatform i'm using the application in arabic and all pdf and reports doesn't support arabic encoding 
depends on feature request 0004139pi acknowledgediciordia Unicode fonts in iReports 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0022213)
franck_routier (reporter)
2009-11-26 18:55

When asked if the document should be archived after printing, if I answer yes, I get an error message :

net.sf.jasperreports.engine.JRRuntimeException: Could not load the following font : pdfFontName : Helvetica pdfEncoding : Identity-H isPdfEmbedded : true
(0022254)
franck_routier (reporter)
2009-11-30 12:23

In fact with CP1251, report is also blank if there are some lines in the invoice...
(0041368)
psarobe (manager)
2011-09-29 11:58

JasperReports has been updated. Needs to be verified
(0045510)
alostale (developer)
2012-02-28 10:37

Setting as design defect: it must be verified whether it is a jasper reports issue or something incorrectly done in OB platform.
(0045511)
alostale (developer)
2012-02-28 10:37

See http://forge.openbravo.com/projects/openbravoerp/forum/viewtopic.php?f=549512&t=7026638#p7028414 [^]

- Issue History
Date Modified Username Field Change
2009-11-26 12:41 franck_routier New Issue
2009-11-26 12:41 franck_routier Assigned To => rafaroda
2009-11-26 18:55 franck_routier Note Added: 0022213
2009-11-30 12:23 franck_routier Note Added: 0022254
2009-12-02 11:18 rafaroda Relationship added depends on 0004139
2009-12-02 12:54 shuehner Issue Monitored: shuehner
2010-02-11 18:26 rafaroda Assigned To rafaroda => alostale
2010-02-15 12:55 alostale Assigned To alostale => adrianromero
2011-06-03 11:00 dalsasua Assigned To adrianromero => dalsasua
2011-07-20 18:11 dalsasua Assigned To dalsasua => jonalegriaesarte
2011-09-29 11:58 psarobe Note Added: 0041368
2011-09-29 11:58 psarobe Status new => scheduled
2011-11-25 18:03 jonalegriaesarte Tag Attached: OB3-Reviewed
2012-02-15 19:03 iciordia Assigned To jonalegriaesarte => vmromanos
2012-02-16 18:17 vmromanos Assigned To vmromanos => alostale
2012-02-17 11:45 alostale Relationship added related to 0019325
2012-02-28 10:37 alostale Note Added: 0045510
2012-02-28 10:37 alostale Type defect => design defect
2012-02-28 10:37 alostale Note Added: 0045511
2017-03-31 14:36 alostale Status scheduled => acknowledged
2017-04-10 14:35 alostale Assigned To alostale => platform


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker